## org.eclipse.emf.workspace.internal
Class Tracing

    java.lang.Object
      org.eclipse.emf.workspace.internal.Tracing

    public class Tracing

extends Object

Provides debug tracing services.

Field Summary
`protected static String` `LABEL_NEW_VALUE` Label indicating new value.
`protected static String` `LABEL_OLD_VALUE` Label indicating old value.
`protected static String` `PARENTHESIS_CLOSE` String containing a close parenthesis.
`protected static String` `PARENTHESIS_OPEN` String containing an open parenthesis.
`protected static String` `PREFIX_CATCHING` Prefix for tracing the catching of throwables.
`protected static String` `PREFIX_CHANGING` Prefix for tracing the changing of values.
`protected static String` `PREFIX_ENTERING` Prefix for tracing the entering of methods.
`protected static String` `PREFIX_EXITING` Prefix for tracing the exiting of methods.
`protected static String` `PREFIX_THROWING` Prefix for tracing the throwing of throwables.
`protected static String` `SEPARATOR_METHOD` Separator for methods.
`protected static String` `SEPARATOR_PARAMETER` Separator for parameters.
`protected static String` `SEPARATOR_RETURN` Separator for return values.
`protected static String` `SEPARATOR_SPACE` Separator containing a space.

Constructor Summary
`Tracing()`

Method Summary
`static void` `catching(Class<?> clazz, String methodName, Throwable throwable)` Traces the catching of the specified throwable in the specified method of the specified class.
`static void` `changing(String option, Class<?> clazz, String methodName, String valueDescription, Object oldValue, Object newValue)`
`static void` `changing(String option, String valueDescription, Object oldValue, Object newValue)` Traces the changing of a value.
`static void` `entering(Class<?> clazz, String methodName, Object... parameters)` Traces the entering into the specified method of the specified class, with the specified parameters.
`static void` `exiting(Class<?> clazz, String methodName)` Traces the exiting from the specified method of the specified class.
`static void` `exiting(Class<?> clazz, String methodName, Object returnValue)` Traces the exiting from the specified method of the specified class, with the specified return value.
`protected static String` `getArgumentsString(Object[] arguments)` Retrieves a textual representation of the specified arguments.
`protected static String` `getArgumentString(Object argument)` Retrieves a textual representation of the specified argument.
`static String` `now()` Gets the current time and date as a string, suitable for including in a trace message.
`protected static boolean` `shouldTrace()` Retrieves a Boolean value indicating whether tracing is enabled.
`static boolean` `shouldTrace(String option)` Retrieves a Boolean value indicating whether tracing is enabled for the specified debug option.
`static void` `throwing(Class<?> clazz, String methodName, Throwable throwable)` Traces the throwing of the specified throwable from the specified method of the specified class.
`static void` `trace(String message)` Traces the specified message.
`static void` `trace(String option, String message)` Traces the specified message for the specified debug option.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PARENTHESIS_OPEN

    protected static final String PARENTHESIS_OPEN

  String containing an open parenthesis.

  See Also:
    Constant Field Values

### PARENTHESIS_CLOSE

    protected static final String PARENTHESIS_CLOSE

  String containing a close parenthesis.

  See Also:
    Constant Field Values

### PREFIX_CHANGING

    protected static final String PREFIX_CHANGING

  Prefix for tracing the changing of values.

  See Also:
    Constant Field Values

### PREFIX_CATCHING

    protected static final String PREFIX_CATCHING

  Prefix for tracing the catching of throwables.

  See Also:
    Constant Field Values

### PREFIX_THROWING

    protected static final String PREFIX_THROWING

  Prefix for tracing the throwing of throwables.

  See Also:
    Constant Field Values

### PREFIX_ENTERING

    protected static final String PREFIX_ENTERING

  Prefix for tracing the entering of methods.

  See Also:
    Constant Field Values

### PREFIX_EXITING

    protected static final String PREFIX_EXITING

  Prefix for tracing the exiting of methods.

  See Also:
    Constant Field Values

### SEPARATOR_METHOD

    protected static final String SEPARATOR_METHOD

  Separator for methods.

  See Also:
    Constant Field Values

### SEPARATOR_PARAMETER

    protected static final String SEPARATOR_PARAMETER

  Separator for parameters.

  See Also:
    Constant Field Values

### SEPARATOR_RETURN

    protected static final String SEPARATOR_RETURN

  Separator for return values.

  See Also:
    Constant Field Values

### SEPARATOR_SPACE

    protected static final String SEPARATOR_SPACE

  Separator containing a space.

  See Also:
    Constant Field Values

### LABEL_OLD_VALUE

    protected static final String LABEL_OLD_VALUE

  Label indicating old value.

  See Also:
    Constant Field Values

### LABEL_NEW_VALUE

    protected static final String LABEL_NEW_VALUE

  Label indicating new value.

  See Also:
    Constant Field Values

Constructor Detail

### Tracing

    public Tracing()

Method Detail

### shouldTrace

    protected static boolean shouldTrace()

  Retrieves a Boolean value indicating whether tracing is enabled.

  Returns:
    Whether tracing is enabled for the plug-in.

### shouldTrace

    public static boolean shouldTrace(String option)

  Retrieves a Boolean value indicating whether tracing is enabled for the specified debug option.

  Parameters:
    `option` - The debug option for which to determine trace enablement.
  Returns:
    Whether tracing is enabled for the debug option of the plug-in.

### getArgumentString

    protected static String getArgumentString(Object argument)

  Retrieves a textual representation of the specified argument.

  Parameters:
    `argument` - The argument for which to retrieve a textual representation.
  Returns:
    A textual representation of the specified argument.

### getArgumentsString

    protected static String getArgumentsString(Object[] arguments)

  Retrieves a textual representation of the specified arguments.

  Parameters:
    `arguments` - The arguments for which to retrieve a textual representation.
  Returns:
    A textual representation of the specified arguments.

### trace

    public static void trace(String message)

  Traces the specified message.

  Parameters:
    `message` - The message to be traced.

### trace

    public static void trace(String option,
                             String message)

  Traces the specified message for the specified debug option.

  Parameters:
    `option` - The debug option for which to trace.
    `message` - The message to be traced.

### changing

    public static void changing(String option,
                                String valueDescription,
                                Object oldValue,
                                Object newValue)

  Traces the changing of a value.

  Parameters:
    `option` - The debug option for which to trace.
    `valueDescription` - The description of the value which is changing.
    `oldValue` - The old value.
    `newValue` - The new value.

### changing

    public static void changing(String option,
                                Class<?> clazz,
                                String methodName,
                                String valueDescription,
                                Object oldValue,
                                Object newValue)

  Parameters:
    `option` - The debug option for which to trace.
    `clazz` - The class in which the value is changing.
    `methodName` - The name of the method in which the value is changing.
    `valueDescription` - The description of the value which is changing.
    `oldValue` - The old value.
    `newValue` - The new value.

### catching

    public static void catching(Class<?> clazz,
                                String methodName,
                                Throwable throwable)

  Traces the catching of the specified throwable in the specified method of the specified class.

  Parameters:
    `clazz` - The class in which the throwable is being caught.
    `methodName` - The name of the method in which the throwable is being caught.
    `throwable` - The throwable that is being caught.

### throwing

    public static void throwing(Class<?> clazz,
                                String methodName,
                                Throwable throwable)

  Traces the throwing of the specified throwable from the specified method of the specified class.

  Parameters:
    `clazz` - The class from which the throwable is being thrown.
    `methodName` - The name of the method from which the throwable is being thrown.
    `throwable` - The throwable that is being thrown.

### entering

    public static void entering(Class<?> clazz,
                                String methodName,
                                Object... parameters)

  Traces the entering into the specified method of the specified class, with the specified parameters.

  Parameters:
    `clazz` - The class whose method is being entered.
    `methodName` - The name of method that is being entered.
    `parameters` - The parameters to the method being entered.

### exiting

    public static void exiting(Class<?> clazz,
                               String methodName)

  Traces the exiting from the specified method of the specified class.

  Parameters:
    `clazz` - The class whose method is being exited.
    `methodName` - The name of method that is being exited.

### exiting

    public static void exiting(Class<?> clazz,
                               String methodName,
                               Object returnValue)

  Traces the exiting from the specified method of the specified class, with the specified return value.

  Parameters:
    `clazz` - The class whose method is being exited.
    `methodName` - The name of method that is being exited.
    `returnValue` - The return value of the method being exited.

### now

    public static String now()

  Gets the current time and date as a string, suitable for including in a trace message.

  Returns:
    the timestamp string

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.